Groovy 1.7.0

## groovy.mock.interceptor
Class MockInterceptor

    java.lang.Object
      groovy.mock.interceptor.MockInterceptor

    class MockInterceptor
    extends Object

Intercepting calls to the collaborating object and notify the expectation object.

author:
  Dierk Koenig

Property Summary
`def` | `expectation`

Constructor Summary
`MockInterceptor()`

Method Summary
`Object` | `afterInvoke(Object object, String methodName, Object[] arguments, Object result)`
`Object` | `beforeGet(Object object, String property)`
`Object` | `beforeInvoke(Object object, String methodName, Object[] arguments)`
`void` | `beforeSet(Object object, String property, Object newValue)`
`boolean` | `doInvoke()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### expectation

    def expectation

Constructor Detail

### MockInterceptor

    MockInterceptor()

Method Detail

### afterInvoke

    Object afterInvoke(Object object, String methodName, Object[] arguments, Object result)

### beforeGet

    Object beforeGet(Object object, String property)

### beforeInvoke

    Object beforeInvoke(Object object, String methodName, Object[] arguments)

### beforeSet

    void beforeSet(Object object, String property, Object newValue)

### doInvoke

    boolean doInvoke()

Copyright © 2003-2009 The Codehaus. All rights reserved.